MCP Tools Reference: managedkafka

Tool: restart_connector

Restarts a Google Cloud Managed service for Apache Kafka Connect Connector. Please provide the Project ID, Location, Connect Cluster ID, and Connector ID.

A RestartConnectorRequest is used to restart a connector.

  • name (required): The name of the connector to restart. Structured like projects/{project}/locations/{location}/connectClusters/{connectCluster}/connectors/{connector}.

The following sample demonstrate how to use curl to invoke the restart_connector MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "restart_connector",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for RestartConnector.

RestartConnectorRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the connector to restart. Structured like: projects/{project}/locations/{location}/connectClusters/{connectCluster}/connectors/{connector}

Output Schema

Response for RestartConnector.

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌